## dolphin-plugins 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release service version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(dolphin-plugins VERSION ${RELEASE_SERVICE_VERSION})

if (BUILD_WITH_QT6)
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
else()
    set(QT_MIN_VERSION "5.15.2")
    set(KF_MIN_VERSION "5.91.0")
endif()

set(KDE_COMPILERSETTINGS_LEVEL "5.84")

# ECM setup
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(QtVersionOption)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Network
    DBus
)
if (QT_MAJOR_VERSION EQUAL 6)
    find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
endif()

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    I18n
    KIO
    TextWidgets
    CoreAddons
    Solid
)

find_package(DolphinVcs REQUIRED)
set_package_properties(DolphinVcs PROPERTIES
    DESCRIPTION "the Dolphin version control plugin library"
    URL "https://kde.org/applications/system/org.kde.dolphin"
    TYPE REQUIRED
    PURPOSE "Provides the version control plugin interface."
)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.91
)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_FOREACH -DQT_NO_KEYWORDS)

ecm_optional_add_subdirectory(svn)
ecm_optional_add_subdirectory(git)
ecm_optional_add_subdirectory(bazaar)
ecm_optional_add_subdirectory(dropbox)
ecm_optional_add_subdirectory(hg)
if(UNIX AND NOT APPLE)
    ecm_optional_add_subdirectory(mountiso)
endif()

install(FILES org.kde.dolphin-plugins.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== bazaar/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewbazaarplugin\")

kcoreaddons_add_plugin(fileviewbazaarplugin SOURCES fileviewbazaarplugin.cpp fileviewbazaarplugin.h INSTALL_NAMESPACE "dolphin/vcs")

target_link_libraries(fileviewbazaarplugin
    KF${QT_MAJOR_VERSION}::KIOCore
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::CoreAddons
    DolphinVcs
)

=== mountiso/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"mountisoaction\")

kcoreaddons_add_plugin(
    mountisoaction
    SOURCES mountisoaction.cpp mountisoaction.h
    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction")

target_link_libraries(mountisoaction
    Qt::DBus
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::KIOWidgets
    KF${QT_MAJOR_VERSION}::Solid)

=== svn/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewsvnplugin\")

kcoreaddons_add_plugin(fileviewsvnplugin INSTALL_NAMESPACE "dolphin/vcs")

target_sources(fileviewsvnplugin PRIVATE
    fileviewsvnplugin.cpp
    svncommands.cpp
    svncommitdialog.cpp
    svnlogdialog.cpp
    svncheckoutdialog.cpp
    svnprogressdialog.cpp
    svncleanupdialog.cpp

    fileviewsvnplugin.h
    svncommands.h
    svncommitdialog.h
    svnlogdialog.h
    svncheckoutdialog.h
    svnprogressdialog.h
    svncleanupdialog.h
)

ki18n_wrap_ui(fileviewsvnplugin
    svnlogdialog.ui
    svncheckoutdialog.ui
    svnprogressdialog.ui
    svncleanupdialog.ui
)

kconfig_add_kcfg_files(fileviewsvnplugin
    fileviewsvnpluginsettings.kcfgc
)

target_link_libraries(fileviewsvnplugin
    Qt::Core
    Qt::Widgets
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::XmlGui
    KF${QT_MAJOR_VERSION}::KIOCore
    KF${QT_MAJOR_VERSION}::KIOWidgets
    DolphinVcs
)

install(FILES fileviewsvnpluginsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
dolphin-plugins (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:25 +0200

dolphin-plugins (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:49:03 +0000

dolphin-plugins (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:15:18 +0000

dolphin-plugins (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:29:23 -0700

dolphin-plugins (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:11 +0000

dolphin-plugins (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:17 +0000

dolphin-plugins (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:40 +0100

dolphin-plugins (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:52 +0100

dolphin-plugins (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:41 +0100

dolphin-plugins (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:47 +0100

dolphin-plugins (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:53 +0100

dolphin-plugins (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:32 +0100

dolphin-plugins (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:54 +0000

dolphin-plugins (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:10:05 -0600

dolphin-plugins (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:09 +0000

dolphin-plugins (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libdolphinvcs-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 17:34:59 +0000

dolphin-plugins (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:45 +0000

dolphin-plugins (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:11 +0000

dolphin-plugins (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:25 +0000

dolphin-plugins (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:50 +0000

dolphin-plugins (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:30 +0100

dolphin-plugins (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:54 +0100

dolphin-plugins (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:07 +0100

dolphin-plugins (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:43 +0100

dolphin-plugins (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:31 +0100

dolphin-plugins (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:19 +0100

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libdolphinvcs-dev (>= 4:23.08.5~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5solid-dev (>= 5.90.0~),
               libkf5texteditor-dev,
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/dolphin_plugins
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 Miscellaneous plugins:
 .
  * Mount ISO
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 24.08.0

=== debian/changelog ===
dolphin-plugins (4:24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 22:54:40 +0100

dolphin-plugins (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 12:14:36 +0200

dolphin-plugins (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * Change pkg-kde-tools B-D to dh-sequence-kf6 and update d/rules to
    match.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 31 Jul 2024 00:02:19 +0200

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libdolphinvcs-dev (>= 4:24.05.2~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6texteditor-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/dolphin_plugins
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin (>= 24.05.2~), ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 Miscellaneous plugins:
 .
  * Mount ISO
 .
 This package is part of the KDE Software Development Kit module.

## dolphin-plugins 24.08.1

=== debian/changelog ===
dolphin-plugins (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:43 +0100

dolphin-plugins (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental.

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 07 Sep 2024 02:07:45 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dolphin-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -10,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:24.05.2~),
+               libdolphinvcs-dev (>= 4:24.08.1~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),
@@ -23,8 +24,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 24.12.0

=== debian/changelog ===
dolphin-plugins (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 08:59:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: dolphin-plugins
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:24.08.1~),
+               libdolphinvcs-dev (>= 4:24.05.2~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),
@@ -24,8 +23,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 24.12.1

=== debian/changelog ===
dolphin-plugins (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:24:40 +0000

dolphin-plugins (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:02:23 +0000

dolphin-plugins (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:01:46 +0000

dolphin-plugins (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 19:29:14 +0000

dolphin-plugins (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:19:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dolphin-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:24.05.2~),
+               libdolphinvcs-dev (>= 4:24.12.1~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),
@@ -23,8 +24,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 24.12.2

=== debian/changelog ===
dolphin-plugins (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.2).

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Feb 2025 18:25:50 +0100

dolphin-plugins (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 23:01:11 +0100

## dolphin-plugins 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release service version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(dolphin-plugins VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "5.240.0")

# ECM setup
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(QtVersionOption)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Widgets
    Network
    DBus
    Concurrent
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    I18n
    KIO
    TextWidgets
    Config
    CoreAddons
    Solid
)

find_package(DolphinVcs REQUIRED)
set_package_properties(DolphinVcs PROPERTIES
    DESCRIPTION "the Dolphin version control plugin library"
    URL "https://commits.kde.org/dolphin"
    TYPE REQUIRED
    PURPOSE "Provides the version control plugin interface."
)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.240
)

ecm_optional_add_subdirectory(svn)
ecm_optional_add_subdirectory(git)
ecm_optional_add_subdirectory(bazaar)
ecm_optional_add_subdirectory(dropbox)
ecm_optional_add_subdirectory(hg)
if(UNIX)
    ecm_optional_add_subdirectory(makefileactions)
endif()
if(UNIX AND NOT APPLE)
    ecm_optional_add_subdirectory(mountiso)
endif()

install(FILES org.kde.dolphin-plugins.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
dolphin-plugins (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:35:29 +0000

dolphin-plugins (4:24.12.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Build depend on current gear versions.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 09:06:47 +0000

dolphin-plugins (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 15:19:41 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:24.12.1~),
+               libdolphinvcs-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.03.90

=== debian/changelog ===
dolphin-plugins (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:49:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: dolphin-plugins
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:24.12.3~),
+               libdolphinvcs-dev (>= 4:24.05.2~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),
@@ -21,11 +19,11 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin_plugins
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release service version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== mountiso/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"mountisoaction\")

kcoreaddons_add_plugin(
    mountisoaction
    SOURCES mountisoaction.cpp mountisoaction.h
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(mountisoaction
    Qt6::DBus
    KF6::I18n
    KF6::KIOWidgets
    KF6::Solid
)

=== debian/changelog ===
dolphin-plugins (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/en/dolphin_plugins
+Homepage: https://invent.kde.org/system/dolphin
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git

## dolphin-plugins 25.04.3

=== debian/changelog ===
dolphin-plugins (4:25.04.3-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 16:31:16 +0000

dolphin-plugins (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:36:06 +0000

dolphin-plugins (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:51:34 +0000

dolphin-plugins (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:42:17 +0000

dolphin-plugins (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:27:49 +0000

dolphin-plugins (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:57:09 +0000

dolphin-plugins (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:57:23 +0000

dolphin-plugins (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:49:18 +0000

dolphin-plugins (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:45:59 +0000

dolphin-plugins (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:47:13 +0000

dolphin-plugins (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:19:26 +0000

dolphin-plugins (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:58:30 +0000

dolphin-plugins (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:09:39 +0000

dolphin-plugins (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:45:30 +0000

dolphin-plugins (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:12:34 +0000

dolphin-plugins (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:58:51 +0000

dolphin-plugins (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:54:10 +0000

dolphin-plugins (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:35:28 +0000

dolphin-plugins (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 10:39:46 +0000

dolphin-plugins (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:11:57 +0000

dolphin-plugins (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:13:01 +0000

dolphin-plugins (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:41:05 +0000

dolphin-plugins (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:09:10 +0000

dolphin-plugins (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:55:44 +0000

dolphin-plugins (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:27:37 +0000

dolphin-plugins (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:04:10 +0000

dolphin-plugins (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:08:56 +0000

dolphin-plugins (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:30:46 +0000

dolphin-plugins (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:03:46 +0000

dolphin-plugins (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:34:11 +0000

dolphin-plugins (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:22:11 +0000

dolphin-plugins (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:46:05 +0000

dolphin-plugins (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:39:21 +0000

dolphin-plugins (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:51:19 +0000

dolphin-plugins (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:01:23 +0000

dolphin-plugins (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:42 +0000

dolphin-plugins (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:15:29 +0000

dolphin-plugins (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 14:26:04 +0000

dolphin-plugins (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:59 +0000

dolphin-plugins (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:41:24 +0000

dolphin-plugins (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:50 +0000

dolphin-plugins (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:20:23 +0000

dolphin-plugins (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:50:41 +0000

dolphin-plugins (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:18:49 +0000



## dolphin-plugins 25.07.80

=== debian/changelog ===
dolphin-plugins (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:02:33 +0100

dolphin-plugins (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:36 +0100

dolphin-plugins (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:37:16 +0100

dolphin-plugins (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:17 +0100

dolphin-plugins (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:41:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: dolphin-plugins
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:24.05.2~),
+               libdolphinvcs-dev (>= 4:25.07.80~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),
@@ -19,11 +21,11 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://invent.kde.org/system/dolphin
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin-plugins.git
+Homepage: https://apps.kde.org/en/dolphin_plugins
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin-plugins
 
 Package: dolphin-plugins
 Architecture: any

## dolphin-plugins 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release service version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
dolphin-plugins (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:27:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.07.80~),
+               libdolphinvcs-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.08.0

=== debian/changelog ===
dolphin-plugins (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:48:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.07.90~),
+               libdolphinvcs-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.08.1

=== git/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewgitplugin\")

kcoreaddons_add_plugin(fileviewgitplugin INSTALL_NAMESPACE "dolphin/vcs")

ecm_qt_declare_logging_category(fileviewgitplugin
    HEADER dolphingit_log.h
    IDENTIFIER DolphinGitLog
    CATEGORY_NAME org.kde.dolphin.plugins.git
    DESCRIPTION "Dolphin Git Plugin"
    EXPORT DolphinGit
)

target_sources(fileviewgitplugin PRIVATE
    fileviewgitplugin.cpp
    checkoutdialog.cpp
    clonedialog.cpp
    commitdialog.cpp
    tagdialog.cpp
    progressdialog.cpp
    pushdialog.cpp
    pulldialog.cpp
    gitwrapper.cpp

    fileviewgitplugin.h
    checkoutdialog.h
    clonedialog.h
    commitdialog.h
    tagdialog.h
    progressdialog.h
    pushdialog.h
    pulldialog.h
    gitwrapper.h
)

kconfig_add_kcfg_files(fileviewgitplugin
    fileviewgitpluginsettings.kcfgc
)

target_link_libraries(fileviewgitplugin PRIVATE
    Qt6::Core
    Qt6::Widgets
    Qt6::Concurrent
    KF6::ConfigGui
    KF6::I18n
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::TextWidgets
    DolphinVcs
)

install(FILES fileviewgitpluginsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_qt_install_logging_categories(
    EXPORT DolphinGit
    FILE dolphingit.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
dolphin-plugins (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.08.0~),
+               libdolphinvcs-dev (>= 4:25.08.1~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.08.1+p24.04+vstable+git20250927.0010

=== debian/changelog ===
dolphin-plugins (4:25.08.1+p24.04+vstable+git20250927.0010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 00:10:13 +0000

dolphin-plugins (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:22:47 +0000

dolphin-plugins (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:57:59 +0000

## dolphin-plugins 25.08.1+p24.04+vstable+git20251001.0042

=== debian/changelog ===
dolphin-plugins (4:25.08.1+p24.04+vstable+git20251001.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:42:14 +0000

## dolphin-plugins 25.08.2

=== dropbox/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"fileviewdropboxplugin\")

kcoreaddons_add_plugin(fileviewdropboxplugin SOURCES fileviewdropboxplugin.cpp fileviewdropboxplugin.h INSTALL_NAMESPACE "dolphin/vcs")

target_link_libraries(fileviewdropboxplugin
    Qt6::Core
    Qt6::Widgets
    Qt6::Network
    KF6::I18n
    KF6::XmlGui
    KF6::KIOCore
    DolphinVcs
)

=== hg/CMakeLists.txt ===
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    TextEditor
    WidgetsAddons
)

add_definitions(-DTRANSLATION_DOMAIN=\"fileviewhgplugin\")

kcoreaddons_add_plugin(fileviewhgplugin INSTALL_NAMESPACE "dolphin/vcs")

target_sources(fileviewhgplugin PRIVATE
    fileviewhgplugin.cpp
    renamedialog.cpp
    commitdialog.cpp
    hgwrapper.cpp
    statuslist.cpp
    branchdialog.cpp
    tagdialog.cpp
    updatedialog.cpp
    clonedialog.cpp
    createdialog.cpp
    syncdialogbase.cpp
    mergedialog.cpp
    pushdialog.cpp
    pulldialog.cpp
    hgconfig.cpp
    configdialog.cpp
    commititemdelegate.cpp
    commitinfowidget.cpp
    pathselector.cpp
    bundledialog.cpp
    exportdialog.cpp
    importdialog.cpp
    servedialog.cpp
    servewrapper.cpp
    backoutdialog.cpp
    dialogbase.cpp
    config-widgets/generalconfig.cpp
    config-widgets/pathconfig.cpp
    config-widgets/ignorewidget.cpp
    config-widgets/pluginsettings.cpp

    fileviewhgplugin.h
    renamedialog.h
    commitdialog.h
    hgwrapper.h
    statuslist.h
    branchdialog.h
    tagdialog.h
    updatedialog.h
    clonedialog.h
    createdialog.h
    syncdialogbase.h
    mergedialog.h
    pushdialog.h
    pulldialog.h
    hgconfig.h
    configdialog.h
    commititemdelegate.h
    commitinfowidget.h
    pathselector.h
    bundledialog.h
    exportdialog.h
    importdialog.h
    servedialog.h
    servewrapper.h
    backoutdialog.h
    dialogbase.h
    config-widgets/generalconfig.h
    config-widgets/pathconfig.h
    config-widgets/ignorewidget.h
    config-widgets/pluginsettings.h
)


kconfig_add_kcfg_files(fileviewhgplugin
    fileviewhgpluginsettings.kcfgc
)

target_link_libraries(fileviewhgplugin PRIVATE
    Qt::Core
    Qt::Widgets
    KF6::KIOCore
    KF6::I18n
    KF6::CoreAddons
    KF6::Service
    KF6::WidgetsAddons
    KF6::TextEditor
    KF6::TextWidgets
    DolphinVcs
)

install(FILES fileviewhgpluginsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== makefileactions/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"makefileactions\")

kcoreaddons_add_plugin(makefileactions
    SOURCES makefileactions.cpp makefileactions.h
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(makefileactions
    KF6::I18n
    KF6::KIOWidgets
)

=== debian/changelog ===
dolphin-plugins (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libdolphinvcs-dev (>= 4:25.08.1~),
+               libdolphinvcs-dev (>= 4:25.08.2~),
                libkf6config-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),

## dolphin-plugins 25.08.2+p24.04+vstable+git20251015.1632

=== debian/changelog ===
dolphin-plugins (4:25.08.2+p24.04+vstable+git20251015.1632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:32:49 +0000

dolphin-plugins (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

=== debian/control ===
Source: dolphin-plugins
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libdolphinvcs-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/dolphin-plugins.git
Vcs-Browser: https://invent.kde.org/neon/kde/dolphin-plugins
Maintainer: Neon CI <neon@kde.org>

Package: dolphin-plugins
Architecture: any
Section: devel
Depends: dolphin, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: plugins for Dolphin
 This package contains plugins for Dolphin that enhance its functionalities.
 .
 There are plugins that offer integration with the following version control
 systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 Also, there are plugins to offer integration with the following services:
 .
  * Dropbox
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins
Architecture: all
Section: oldlibs
Depends: dolphin-plugins, ${misc:Depends}
Description: transitional dummy package for dolphin-plugins
 Transitional package for rename to dolphin-plugins.

## dolphin-plugins 25.08.2+p24.04+vstable+git20251019.0619

=== debian/changelog ===
dolphin-plugins (4:25.08.2+p24.04+vstable+git20251019.0619-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:19:27 +0000

## dolphin-plugins 25.08.2+p24.04+vstable+git20251031.0255

=== debian/changelog ===
dolphin-plugins (4:25.08.2+p24.04+vstable+git20251031.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:55:32 +0000
